Loading...
Searching...
No Matches
Opm::UnitSystem Class Reference

## Public Types

enum class | UnitType { UNIT_TYPE_METRIC = 0 , UNIT_TYPE_FIELD = 1 , UNIT_TYPE_LAB = 2 , UNIT_TYPE_PVT_M = 3 , UNIT_TYPE_INPUT = 4 }

enum class

measure : int {
identity , length , time , runtime ,
density , pressure , pressure_drop , temperature_absolute ,
temperature , viscosity , permeability , area ,
liquid_surface_volume , gas_surface_volume , volume , geometric_volume ,
liquid_surface_rate , gas_surface_rate , rate , geometric_volume_rate ,
pipeflow_velocity , transmissibility , effective_Kh , mass ,
mass_rate , gas_oil_ratio , oil_gas_ratio , water_cut ,
gas_formation_volume_factor , oil_formation_volume_factor , water_formation_volume_factor , gas_inverse_formation_volume_factor ,
oil_inverse_formation_volume_factor , water_inverse_formation_volume_factor , liquid_productivity_index , gas_productivity_index ,
energy , energy_rate , icd_strength , aicd_strength ,
concentration , gas_oil_ratio_rate , moles , ppm ,
ymodule , thermalconductivity , dfactor , _count
}

## Public Member Functions

| UnitSystem (int ecl_id)
| UnitSystem (UnitType unit=UnitType::UNIT_TYPE_METRIC)
| UnitSystem (const std::string &deck_name)
const std::string & | getName () const
UnitType | getType () const
int | ecl_id () const
void | addDimension (const std::string &dimension, const Dimension &dim)
void | addDimension (const std::string &dimension, double SIfactor, double SIoffset=0.0)
const Dimension & | getNewDimension (const std::string &dimension)
const Dimension & | getDimension (const std::string &dimension) const
Dimension | getDimension (measure m) const
Dimension | uda_dim (UDAControl control) const
bool | hasDimension (const std::string &dimension) const
bool | equal (const UnitSystem &other) const
bool | operator== (const UnitSystem &) const
bool | operator!= (const UnitSystem &) const
Dimension | parse (const std::string &dimension) const
double | from_si (const std::string &dimension, double) const
double | to_si (const std::string &dimension, double) const
double | from_si (measure, double) const
double | to_si (measure, double) const
void | from_si (measure, std::vector< double > &) const
void | to_si (measure, std::vector< double > &) const
const char * | name (measure) const
std::string | deck_name () const
std::size_t | use_count () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static UnitSystem | serializationTestObject ()
static bool | rst_cmp (const UnitSystem &full_arg, const UnitSystem &rst_arg)
static bool | valid_name (const std::string &deck_name)
static UnitSystem | newMETRIC ()
static UnitSystem | newFIELD ()
static UnitSystem | newLAB ()
static UnitSystem | newPVT_M ()
static UnitSystem | newINPUT ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Units/UnitSystem.hpp
- opm/input/eclipse/Units/UnitSystem.cpp